# Class AsyncChannelGroupUtil

java.lang.Object
org.apache.tomcat.websocket.AsyncChannelGroupUtil

public class AsyncChannelGroupUtil extends Object
This is a utility class that enables multiple `WsWebSocketContainer` instances to share a single `AsynchronousChannelGroup` while ensuring that the group is destroyed when no longer required.

## Method Summary

Modifier and Type
Method
Description
`static AsynchronousChannelGroup`
`register()`
Registers a user of the shared `AsynchronousChannelGroup`, creating it if necessary.
`static void`
`unregister()`
Unregisters a user of the shared `AsynchronousChannelGroup`, shutting it down if no users remain.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### register

public static AsynchronousChannelGroup register()
Registers a user of the shared `AsynchronousChannelGroup`, creating it if necessary.

Returns:
  the shared `AsynchronousChannelGroup`

### unregister

public static void unregister()
Unregisters a user of the shared `AsynchronousChannelGroup`, shutting it down if no users remain.